package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemGridMember;
import com.usky.fire.service.vo.DemGridMemberVO;
import com.usky.common.mybatis.core.CrudService;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 网格员信息管理表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-11-15
 */
public interface DemGridMemberService extends CrudService<DemGridMember> {

    CommonPage<DemGridMember> gridMemberList(String gridArea, String streetTown, String gridPersonnel, Integer id, Integer pageNum, Integer pageSize);

    List<DemGridMember> gridMemberScatter(String gridArea, String mapGridName, Integer gridGrade, Integer seniorGrid);

    List<Map<String ,Object>> gridMemderViceStatistic();

    List<DemGridMemberVO> gridMemberListExport(String gridArea, String streetTown, String gridPersonnel, Integer id);

    void addGridMember(DemGridMember demGridMember);

    void updateGridMember(DemGridMember demGridMember);

    void delGridMember(Integer id);
}
